<?php

namespace App\Console\Test;

use App\Dao\Account\AccountDao;
use App\Dao\User\UserDao;
use App\Services\OpenApi\OpenService;
use Illuminate\Console\Command;

class TestOpenApi extends Command
{
    /**
     * @var string
     */
    protected $signature = 'test:open:api';

    /**
     * The console command description.
     *  php artisan Payment:BasePayment --bid='1'
     *
     * @var string
     */
    protected $description = '测试open api';

    private $openService;

    public function __construct(
        OpenService $openService
    )
    {
        parent::__construct();
        $this->openService = $openService;
    }

    /**
     * handle
     */
    public function handle()
    {
        $this->openService->getOpenInstance()->eventList();
        $this->openService->getInstance()->permissionList();
    }

}