<?php

namespace App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class User extends Model
{
    use HasFactory;

    protected $table = 'users';

    /**
     * 可批量赋值属性
     *
     * @var array
     */
    protected $fillable = [
        'openid', 'unionid', 'head_img', 'distribution_channel_id', 'register_ip', 'send_order_id', 'from_uid', 'balance',
        'charge_balance', 'reward_balance', 'sex', 'country', 'city', 'province', 'nickname', 'is_new', 'vip_limit_date',
        'invite_code', 'session_key', 'bind_time', 'token', 'alipay_username', 'alipay_account'
    ];
}
