<?php


namespace App\Models\User;
use Illuminate\Database\Eloquent\Model;
use DB;


class UserPeroidOrderLog extends Model
{
    protected $table = 'user_period_order_logs';

    protected $fillable = [
        'uid', 'distribution_channel_id', 'begin_time', 'end_time', 'origin_end_time', 'trade_no', 'send_order_id', 'vip_type',
        'add_days', 'fee', 'created_at', 'updated_at', 'add_type', 'desc'
    ];

    static function getByUidAndTradeNo($uid,$trade_no)
	{
	    return self::where('uid',$uid)->where('trade_no',$trade_no)->first();
	}

}
