<?php

namespace App\Console\Test;

use App\Libs\AliSMS;
use Illuminate\Console\Command;

class TestSms extends Command
{
    /**
     * @var string
     */
    protected $signature = 'test:sms';

    /**
     * The console command description.
     *  php artisan Payment:BasePayment --bid='1'
     *
     * @var string
     */
    protected $description = '测试sms';

    /**
     * handle
     */
    public function handle()
    {
        $queryRes = AliSMS::querySmsTemplateList();
        if ($queryRes->statusCode === 200) {
            foreach ($queryRes->body->smsTemplateList as $item) {
                var_dump([$item->templateCode, $item->templateName, $item->templateContent]);
            }
        }

        /*
        $sendRes = AliSMS::sendSms('13127819373', 'SMS_165400036', ['code' => 8978], env('SMS_SIGN'));
        var_dump($sendRes->body);
        var_dump($sendRes->statusCode);
        */
    }

}