<?php

namespace App\Consts;

class FinanceConsts
{
    // 对私提现最小
    const WITH_DRAW_PRIVATE_MIN = 100;

    // 对私提现最大
    const WITH_DRAW_PRIVATE_MAX = 200000;

    // 对公
    const COMPANY_YES = 1;

    // 对私
    const COMPANY_NO = 0;

    // 禁止编辑
    const STATUS_FORBID_UPDATE = -1;

    // 默认
    const STATUS_DEFAULT = 0;

    // 公司主体
    const PAY_COMPANIES = [
        [
            'id'                  => 1,
            'name'                => '杭州新阅网络科技有限公司',
            'pay_channel_id'      => 0,
            'only_public_account' => 0
        ]
    ];

    const CHECK_PENDING = '待审核';

    const AUDITING = '审核中';

    const AUDIT_PASS = '审核通过';

    const AUDIT_FAILED = '审核不通过';

    const WAITTING_PAID = '待打款';

    const AUTO_WAITTING_PAID = '自动待打款';

    const ARTIFICAL_WAITTING_PAID = '人工待打款';

    const PAYING = '打款中';

    const AUTO_PAYING = '自动打款中';

    const ARTIFICAL_PAYING = '人工打款中';

    const PAID_SUCCESS = '打款成功';

    const AUTO_PAID_SUCCESS = '自动打款成功';

    const ARTIFICAL_PAID_SUCCESS = '人工打款成功';

    const PAID_FAILED = '打款失败';

    const AUTO_PAID_FAILED = '自动打款失败';

    const ARTIFICAL_PAID_FAILED = '人工打款失败';

    const UNKNOWN_ERROR = '未知错误码';

    const OTHER_ERROR = '其他错误';
}