<?php

use App\Http\Controllers\Order\OrderController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::group(['middleware' => ['externalSignCheck']], function () {

    Route::get('channelList', [OrderController::class, 'channelList']);
    Route::get('userList', [OrderController::class, 'userList']);
    Route::get('sendOrderList', [OrderController::class, 'sendOrderList']);
    Route::get('orderList', [OrderController::class, 'orderList']);

    Route::get('reportData', [OrderController::class, 'reportData']);                       // 订单
});
